// Programs

.programs {
  display: grid;
  grid-gap: 1.5rem;
  grid-template-columns: 50% 50%;
  grid-template-rows: 350px 100px 350px;
  position: relative;
  overflow: hidden;

  @include breakpoint('max-width', 'md') {
    grid-template-rows: 250px 50px 250px;
  }

  @include breakpoint('max-width', 'sm') {
    grid-template-columns: 100%;
    grid-template-rows: 200px 200px 200px 200px;
  }

  .program {
    position: relative;
    overflow: hidden;

    @include breakpoint('max-width', 'sm') {
      grid-row-start: auto!important;
      grid-row-end: auto!important;
    }

    &:hover {
      .program__overlay {
        opacity: 1;
        visibility: visible;
      }
    }

    img {
      min-height: 100%;
      min-width: 100%;
    }

    &__content {
      @include position(absolute, 0, 0, 0, 0);
    }

    &__title {
      color: #000;
      padding: 1.5rem 4rem;
      position: absolute;
      top: 0;
      z-index: 3;
    }

    &__overlay {
      height: 100%;
      background: $primary;
      z-index: 2;
      position: relative;
      opacity: 0;
      visibility: hidden;
      transition: all 1s ease;
      color: #fff;
      display: flex;
      flex-flow: column;
      justify-content: center;
      padding: 3rem;
    }

    &__details {
      width: 80%;
      margin-top: 2rem
    }
  }

  .program:first-child {
    grid-row-start: 1;
    grid-row-end: 2;
  }

  .program:nth-of-type(2) {
    grid-row-start: 1;
    grid-row-end: 3;
  }

  .program:nth-of-type(3) {
    grid-row-start: 2;
    grid-row-end: 4;
  }

  .program:nth-of-type(4) {
    grid-row-start: 3;
    grid-row-end: 4;
  }
}